PgpSignatoryFactory (Gradle API 2.14.1)

org.gradle.plugins.signing.signatory.pgp

## Class PgpSignatoryFactory

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.plugins.signing.signatory.pgp.PgpSignatoryFactory

- All Implemented Interfaces:
    GroovyObject

      public class PgpSignatoryFactory
      extends GroovyObjectSupport

  Creates `PgpSignatory` instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgpSignatoryFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PgpSignatory` | `createSignatory(Project project)`
    `PgpSignatory` | `createSignatory(Project project, boolean required)`
    `PgpSignatory` | `createSignatory(Project project, String propertyPrefix)`
    `PgpSignatory` | `createSignatory(Project project, String propertyPrefix, boolean required)`
    `PgpSignatory` | `createSignatory(Project project, String propertyPrefix, String name)`
    `PgpSignatory` | `createSignatory(Project project, String propertyPrefix, String name, boolean required)`
    `PgpSignatory` | `createSignatory(String name, org.bouncycastle.openpgp.PGPSecretKey secretKey, String password)`
    `PgpSignatory` | `createSignatory(String name, String keyId, File keyRing, String password)`
    `protected Object` | `getQualifiedPropertyName(String propertyPrefix, String name)`
    `protected PgpKeyId` | `normalizeKeyId(String keyId)`
    `protected PgpSignatory` | `readProperties(Project project, String prefix, String name)`
    `protected PgpSignatory` | `readProperties(Project project, String prefix, String name, boolean required)`
    `protected org.bouncycastle.openpgp.PGPSecretKey` | `readSecretKey(InputStream input, String keyId, String sourceDescription)`
    `protected org.bouncycastle.openpgp.PGPSecretKey` | `readSecretKey(org.bouncycastle.openpgp.PGPSecretKeyRingCollection keyRings, PgpKeyId keyId, String sourceDescription)`
    `org.bouncycastle.openpgp.PGPSecretKey` | `readSecretKey(String keyId, File file)`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PgpSignatoryFactory

          public PgpSignatoryFactory()

  - ### Method Detail

    - #### createSignatory

          public PgpSignatory createSignatory(Project project,
                                     boolean required)

    - #### createSignatory

          public PgpSignatory createSignatory(Project project)

    - #### createSignatory

          public PgpSignatory createSignatory(Project project,
                                     String propertyPrefix,
                                     boolean required)

    - #### createSignatory

          public PgpSignatory createSignatory(Project project,
                                     String propertyPrefix)

    - #### createSignatory

          public PgpSignatory createSignatory(Project project,
                                     String propertyPrefix,
                                     String name,
                                     boolean required)

    - #### createSignatory

          public PgpSignatory createSignatory(Project project,
                                     String propertyPrefix,
                                     String name)

    - #### createSignatory

          public PgpSignatory createSignatory(String name,
                                     String keyId,
                                     File keyRing,
                                     String password)

    - #### createSignatory

          public PgpSignatory createSignatory(String name,
                                     org.bouncycastle.openpgp.PGPSecretKey secretKey,
                                     String password)

    - #### readProperties

          protected PgpSignatory readProperties(Project project,
                                    String prefix,
                                    String name)

    - #### readProperties

          protected PgpSignatory readProperties(Project project,
                                    String prefix,
                                    String name,
                                    boolean required)

    - #### getQualifiedPropertyName

          protected Object getQualifiedPropertyName(String propertyPrefix,
                                        String name)

    - #### readSecretKey

          public org.bouncycastle.openpgp.PGPSecretKey readSecretKey(String keyId,
                                                            File file)

    - #### readSecretKey

          protected org.bouncycastle.openpgp.PGPSecretKey readSecretKey(InputStream input,
                                                            String keyId,
                                                            String sourceDescription)

    - #### readSecretKey

          protected org.bouncycastle.openpgp.PGPSecretKey readSecretKey(org.bouncycastle.openpgp.PGPSecretKeyRingCollection keyRings,
                                                            PgpKeyId keyId,
                                                            String sourceDescription)

    - #### normalizeKeyId

          protected PgpKeyId normalizeKeyId(String keyId)